using DotNetNuke;
using System.Web.UI;
using System.Text;
using System.Collections.Generic;
using System.Reflection;
using DotNetNuke.Security;
using System.Data.SqlClient;
using System.Data;
using DotNetNuke.Data;

partial class DesktopModules_SuperSimple_SuperSimple : DotNetNuke.Entities.Modules.PortalModuleBase 
{    
    protected void Page_Load(object sender, System.EventArgs e) {
        if (!Page.IsPostBack) 
        {
            ShowData("");
        }
    }
    
    protected void btnSearch_Click(object sender, System.EventArgs e) {
        ShowData(txtSearch.Text);
    }
    
    private void ShowData(string SearchString) {
        StringBuilder mySqlString = new StringBuilder();
        mySqlString.Append("SELECT FriendlyName, Description ");
        mySqlString.Append("FROM {databaseOwner}{objectQualifier}DesktopModules ");
        mySqlString.Append("WHERE Description like \'%\' + @SearchString + \'%\' ");
        mySqlString.Append("ORDER BY FriendlyName");
        SqlParameter myParam = new SqlParameter("@SearchString", SqlDbType.VarChar, 150);
        myParam.Value = SearchString;
        this.GridView1.DataSource = ((IDataReader)(DataProvider.Instance().ExecuteSQL(mySqlString.ToString(), myParam)));
        this.GridView1.DataBind();
    }

}